Subject: Re: [PATCH 4/20] powerpc/mm: Add opcode definitions for tlbivax and tlbsrx.

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 24 Jul 2009 08:12:38 +1000

On Thu, 2009-07-23 at 10:55 -0500, Kumar Gala wrote:
> On Jul 23, 2009, at 12:59 AM, Benjamin Herrenschmidt wrote:
> 
> > This adds the opcode definitions to ppc-opcode.h for the two  
> > instructions
> > tlbivax and tlbsrx. as defined by Book3E 2.06
> >
> > Signed-off-by: Benjamin Herrenschmidt <[email-masked]>
> > ---
> >
> > arch/powerpc/include/asm/ppc-opcode.h |    6 ++++++
> > 1 file changed, 6 insertions(+)
> 
> Do we really have binutils that don't have tlbivax properly at this  
> point?

I don't know for sure, I like being consistent with the rest though
and so I use those macros for all those MMU opcodes. Also means that
I have no problem building with my current toolchain without passing
a specific -mcpu option or anything like that :-)

We can change that back later if you want.

Cheers,
Ben.